Name:           ocaml-camlbz2
Version:        0.6.0
Release:        %mkrel 7
Summary:        OCaml bindings for the libbz2 (AKA, bzip2) (de)compression library
License:        LGPLv2 with linking exception
Group:          Development/OCaml
URL:            http://camlbz2.forge.ocamlcore.org/
Source0:        http://forge.ocamlcore.org/frs/download.php/72/camlbz2-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  bzip2-devel

%description
CamlBZ2 provides OCaml bindings for libbz2 (AKA bzip2), a popular
compression library which typically compresses better (i.e., smaller
resulting files) than gzip.

Using CamlBZ2 you can read and write compressed "files", where
files can be anything offering an in_channel/out_channel abstraction
(files, sockets, ...).

Also, with CamlBZ2 you can compress and decompress strings in memory
using the bzip2 compression algorithm.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       bzip2-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n camlbz2-%{version}

%build
./configure --libdir %{_libdir}
make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/bz2
mkdir -p $DLLDIR
make install

%files
%doc BUGS COPYING ChangeLog INSTALL LICENSE README ROADMAP
%dir %{_libdir}/ocaml/bz2
%{_libdir}/ocaml/bz2/META
%{_libdir}/ocaml/bz2/*.cma
%{_libdir}/ocaml/bz2/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc
%{_libdir}/ocaml/bz2/*.a
%{_libdir}/ocaml/bz2/*.cmxa
%{_libdir}/ocaml/bz2/*.cmx
%{_libdir}/ocaml/bz2/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.6.0-7.mga3
+ Revision: 361196
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.6.0-6.mga3
+ Revision: 301640
- new rpm group for ocaml
- new rpm group for ocaml

* Wed Nov 23 2011 malo <malo> 0.6.0-4.mga2
+ Revision: 171412
- fixing License field.
- missing Requires bzip2-devel
- missing explicit BuildRequires

* Sun Oct 02 2011 fwang <fwang> 0.6.0-3.mga2
+ Revision: 150880
- rebuild for new ocaml

* Tue Apr 12 2011 ennael <ennael> 0.6.0-2.mga1
+ Revision: 83662
- clean spec file
- imported package ocaml-camlbz2

